#pragma once


#include "ButtonIDs.h"




class CLocalizationTable
{
public:
	static tstring GetButtonText( EButtonID eButtonID );

private:
	static tstring GetEnglishButtonText( EButtonID eButtonID );
	static tstring GetGermanButtonText( EButtonID eButtonID );
	static tstring GetFrenchButtonText( EButtonID eButtonID );
	static tstring GetSpanishButtonText( EButtonID eButtonID );
	static tstring GetItalianButtonText( EButtonID eButtonID );
	static tstring GetJapaneseButtonText( EButtonID eButtonID );
	static tstring GetChineseButtonText( EButtonID eButtonID );
	static tstring GetPolishButtonText( EButtonID eButtonID );
	static tstring GetCzechButtonText( EButtonID eButtonID );
	static tstring GetHungarianButtonText( EButtonID eButtonID );
	static tstring GetKoreanButtonText( EButtonID eButtonID );
	static tstring GetRussianButtonText( EButtonID eButtonID );
	static tstring GetThaiButtonText( EButtonID eButtonID );
	static tstring GetTurkishButtonText( EButtonID eButtonID );

	CLocalizationTable();
	~CLocalizationTable();
};
